<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="12" md="12" lg="12">
      <v-card class="overflow-hidden">
        <v-toolbar color="cyan" dark>
          <v-app-bar-nav-icon></v-app-bar-nav-icon>
          <v-toolbar-title>Image View</v-toolbar-title>
          <v-spacer></v-spacer>
          <!-- <v-btn icon>
            <v-icon>mdi-magnify</v-icon>
          </v-btn> -->
          <v-btn icon @click="step = 1">
            <v-icon>mdi-view-list</v-icon>
          </v-btn>
          <v-btn icon @click="step = 2">
            <v-icon>mdi-smart-card-outline</v-icon>
          </v-btn>
        </v-toolbar>
        <v-window v-model="step" class="mt-1">
          <v-window-item :value="1">
            <listView />
          </v-window-item>
          <v-window-item :value="2">
            <cardView />
          </v-window-item>
        </v-window>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import cardView from '@/components/image/view/cardView'
import listView from '@/components/image/view/listView'

import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
    cardView,
    listView,
  },
  data() {
    return {
      step: 1,
    }
  },
  computed: {},
  created() {},
  mounted() {},
  methods: {},
}
</script>
<style scoped>
.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
</style>
